# eric5.Plugins.PluginVcsPySvn

Module implementing the PySvn version control plugin.

### Global Attributes

author
autoactivate
className
deactivateable
error
longDescription
name
packageName
pluginType
pluginTypename
pyqtApi
python2Compatible
shortDescription
subversionCfgPluginObject
version

### Classes

VcsPySvnPlugin | Class implementing the PySvn version control plugin.

### Functions

createConfigurationPage | Module function to create the configuration page.
displayString | Public function to get the display string.
exeDisplayData | Public method to support the display of some executable info.
getConfigData | Module function returning data as required by the configuration dialog.
getVcsSystemIndicator | Public function to get the indicators for this version control system.
prepareUninstall | Module function to prepare for an uninstallation.

## VcsPySvnPlugin

Class implementing the PySvn version control plugin.

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

VcsPySvnPlugin | Constructor
activate | Public method to activate this plugin.
deactivate | Public method to deactivate this plugin.
getConfigPath | Public method to get the filename of the config file.
getPreferences | Public method to retrieve the various settings.
getProjectHelper | Public method to get a reference to the project helper object.
getServersPath | Public method to get the filename of the servers file.
prepareUninstall | Public method to prepare for an uninstallation.
setPreferences | Public method to store the various settings.

### Static Methods

None

#### VcsPySvnPlugin (Constructor)

VcsPySvnPlugin(ui)

Constructor

ui
  reference to the user interface object (UI.UserInterface)

#### VcsPySvnPlugin.activate

activate()

Public method to activate this plugin.

Returns:
  tuple of reference to instantiated viewmanager and activation status (boolean)

#### VcsPySvnPlugin.deactivate

deactivate()

Public method to deactivate this plugin.

#### VcsPySvnPlugin.getConfigPath

getConfigPath()

Public method to get the filename of the config file.

Returns:
  filename of the config file (string)

#### VcsPySvnPlugin.getPreferences

getPreferences(key)

Public method to retrieve the various settings.

key
  the key of the value to get

Returns:
  the requested refactoring setting

#### VcsPySvnPlugin.getProjectHelper

getProjectHelper()

Public method to get a reference to the project helper object.

Returns:
  reference to the project helper object

#### VcsPySvnPlugin.getServersPath

getServersPath()

Public method to get the filename of the servers file.

Returns:
  filename of the servers file (string)

#### VcsPySvnPlugin.prepareUninstall

prepareUninstall()

Public method to prepare for an uninstallation.

#### VcsPySvnPlugin.setPreferences

setPreferences(key, value)

Public method to store the various settings.

key
  the key of the setting to be set
value
  the value to be set

Up

## createConfigurationPage

createConfigurationPage(configDlg)

Module function to create the configuration page.

configDlg
  reference to the configuration dialog (QDialog)

Returns:
  reference to the configuration page

Up

## displayString

displayString()

Public function to get the display string.

Returns:
  display string (string)

Up

## exeDisplayData

exeDisplayData()

Public method to support the display of some executable info.

Returns:
  dictionary containing the data to be shown

Up

## getConfigData

getConfigData()

Module function returning data as required by the configuration dialog.

Returns:
  dictionary with key "zzz_subversionPage" containing the relevant data

Up

## getVcsSystemIndicator

getVcsSystemIndicator()

Public function to get the indicators for this version control system.

Returns:
  dictionary with indicator as key and a tuple with the vcs name (string) and vcs display string (string)

Up

## prepareUninstall

prepareUninstall()

Module function to prepare for an uninstallation.

Up